putMyDeveloperProfile
PUT
/v1/developers/me
const url = 'https://testnet-rpc.necter.network/v1/developers/me';const options = { method: 'PUT', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"display_name":"example","bio":"example","website":"https://example.com","logo":"https://example.com","location":"example","email":"[email protected]","social":{"twitter":"example","discord":"example","github":"example","telegram":"example"}}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://testnet-rpc.necter.network/v1/developers/me \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "display_name": "example", "bio": "example", "website": "https://example.com", "logo": "https://example.com", "location": "example", "email": "[email protected]", "social": { "twitter": "example", "discord": "example", "github": "example", "telegram": "example" } }'Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
display_name
string
bio
string
website
string format: uri
logo
string format: uri
location
string
email
string format: email
social
object
twitter
string
discord
string
github
string
telegram
string
Example generated
{ "display_name": "example", "bio": "example", "website": "https://example.com", "logo": "https://example.com", "location": "example", "social": { "twitter": "example", "discord": "example", "github": "example", "telegram": "example" }}Responses
Section titled “Responses”Saved
Media typeapplication/json
object
address
required
Lowercase EVM address
string
display_name
string | null
developer_type
string | null
bio
string | null
website
string | null
logo
string | null
location
string | null
social
object
twitter
string
discord
string
github
string
telegram
string
email
Owner and operator only
string | null
enrollment
required
object
status
string
submitted_at
integer | null
reviewed_at
integer | null
notes
string | null
verification
required
object
status
string
requested_at
integer | null
reviewed_at
integer | null
projects
integer
miners
integer
joined_at
integer
Example
{ "developer_type": "individual", "enrollment": { "status": "none" }, "verification": { "status": "unverified" }}Malformed request (bad_request, invalid_field)
Media typeapplication/json
object
error
required
Stable machine code
string
message
required
string
details
object
key
additional properties
any
request_id
required
string
Example generated
{ "error": "example", "message": "example", "details": {}, "request_id": "example"}